--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Sign data with given digest algorithm
full_name: Gem::Security::Signer#sign
is_singleton: false
name: sign
params: (data)
visibility: public
